cascading.operation.aggregator

## Class MinValue

- java.lang.Object
- - cascading.operation.BaseOperation<ExtremaValueBase.Context>
  - - cascading.operation.aggregator.ExtremaValueBase
    - - cascading.operation.aggregator.MinValue

- All Implemented Interfaces:
    DeclaresResults, Aggregator<ExtremaValueBase.Context>, Operation<ExtremaValueBase.Context>, Traceable, java.io.Serializable

      public class MinValue
      extends ExtremaValueBase

  Class Min is an `Aggregator` that returns the minimum value encountered in the current group.

  Values are expected to be `Comparable` types vs numeric representations and the `Comparable.compareTo(Object)` result is use for min comparison.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.operation.aggregator.ExtremaValueBase

      `ExtremaValueBase.Context`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_NAME` Field FIELD_NAME

    - ### Fields inherited from class cascading.operation.aggregator.ExtremaValueBase

      `ignoreValues`

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinValue()` Constructs a new instance that returns the Min value encountered in the field name "min".
    `MinValue(Fields fieldDeclaration)` Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name.
    `MinValue(Fields fieldDeclaration, java.lang.Object... ignoreValues)` Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `compare(java.lang.Comparable lhs, java.lang.Comparable rhs)` Allows subclasses to provide own comparison method.

    - ### Methods inherited from class cascading.operation.aggregator.ExtremaValueBase

      `aggregate, complete, equals, getIgnoreValues, getResult, hashCode, prepare, start`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

- - ### Field Detail

    - #### FIELD_NAME

          public static final java.lang.String FIELD_NAME

      Field FIELD_NAME
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MinValue

          public MinValue()

      Constructs a new instance that returns the Min value encountered in the field name "min".

    - #### MinValue

          @ConstructorProperties(value="fieldDeclaration")
          public MinValue(Fields fieldDeclaration)

      Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name.
      Parameters:
        `fieldDeclaration` - of type Fields

    - #### MinValue

          @ConstructorProperties(value={"fieldDeclaration","ignoreValues"})
          public MinValue(Fields fieldDeclaration,
                                        java.lang.Object... ignoreValues)

      Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name. Any argument matching an ignoredValue won't be compared.
      Parameters:
        `fieldDeclaration` - of type Fields
        `ignoreValues` - of type Object...

  - ### Method Detail

    - #### compare

          protected boolean compare(java.lang.Comparable lhs,
                        java.lang.Comparable rhs)

      Description copied from class: `ExtremaValueBase`
      Allows subclasses to provide own comparison method.
      Specified by:
        `compare` in class `ExtremaValueBase`
      Parameters:
        `lhs` - Comparable type
        `rhs` - Comparable type
      Returns:
        true if the rhs should be retained as the result value

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.